#ifndef _PLUGIN_H
#define _PLUGIN_H

typedef int (plugin_init_fn_t)(void);

struct plugin_info {
	/* Plugin version, must match with main executable version */
	const char *version;

	/* Name of the plugin, used in debug prints */
	const char *name;

	/* This gets executed once the plugin is loaded */
	plugin_init_fn_t *init;
};

#endif
